## kf6-kpackage 6.19.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

set(KF_VERSION "6.19.0") # handled by release scripts
set(KF_DEP_VERSION "6.19.0") # handled by release scripts
project(KPackage VERSION ${KF_VERSION})

# ECM setup
include(FeatureSummary)
find_package(ECM 6.19.0  NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEGitCommitHooks)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)

include(ECMGenerateExportHeader)
include(ECMGenerateHeaders)
include(CMakePackageConfigHelpers)
include(ECMSetupVersion)
include(ECMMarkNonGuiExecutable)
include(ECMQtDeclareLoggingCategory)
include(ECMDeprecationSettings)
include(ECMGenerateQDoc)

set(EXCLUDE_DEPRECATED_BEFORE_AND_AT 0 CACHE STRING "Control the range of deprecated API excluded from the build [default=0].")

set(kpackage_version_header "${CMAKE_CURRENT_BINARY_DIR}/src/kpackage/kpackage_version.h")
ecm_setup_version(PROJECT
                  VARIABLE_PREFIX PACKAGE
                  VERSION_HEADER "${kpackage_version_header}"
                  PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF6PackageConfigVersion.cmake"
                  SOVERSION 6)

################# now find all used packages #################

set (REQUIRED_QT_VERSION 6.7.0)

find_package(Qt6 ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE COMPONENTS Core)

# shall we use DBus?
# enabled per default on Linux & BSD systems
set(USE_DBUS_DEFAULT OFF)
if(UNIX AND NOT APPLE AND NOT ANDROID AND NOT HAIKU)
    set(USE_DBUS_DEFAULT ON)
endif()
option(USE_DBUS "Build components using DBus" ${USE_DBUS_DEFAULT})
if(USE_DBUS)
  find_package(Qt6 ${REQUIRED_QT_VERSION} CONFIG REQUIRED DBus)
  set(HAVE_DBUS ON)
endif()

find_package(KF6Archive ${KF_DEP_VERSION} REQUIRED)
find_package(KF6I18n ${KF_DEP_VERSION} REQUIRED)
find_package(KF6CoreAddons ${KF_DEP_VERSION} REQUIRED)

find_package(KF6DocTools ${KF_DEP_VERSION})
set_package_properties(KF6DocTools PROPERTIES DESCRIPTION "Tools to generate documentation"
                       TYPE OPTIONAL
                      )

ecm_set_disabled_deprecation_versions(
    QT 6.10.0
    KF 6.18.0
)

include(KF6PackageMacros.cmake)

# make package_version.h available
include_directories(${CMAKE_CURRENT_BINARY_DIR})

################# list the subdirectories #################
if (KF6DocTools_FOUND)
    add_subdirectory(docs)
endif()
add_definitions(-DTRANSLATION_DOMAIN=\"libkpackage6\")
ki18n_install(po)
if (KF6DocTools_FOUND)
    kdoctools_install(po)
endif()
add_subdirectory(src)
if (BUILD_TESTING)
    add_subdirectory(autotests)
endif()

################ create PackageConfig.cmake and install it ####################

# create a Config.cmake and a ConfigVersion.cmake file and install them

set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF6Package")

configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/KF6PackageConfig.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/KF6PackageConfig.cmake"
  INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
  PATH_VARS  KDE_INSTALL_INCLUDEDIR_KF CMAKE_INSTALL_PREFIX
)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/KF6PackageConfig.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/KF6PackageConfigVersion.cmake"
  "${CMAKE_CURRENT_SOURCE_DIR}/KF6PackageMacros.cmake"
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  COMPONENT Devel
)

install(EXPORT KF6PackageTargets
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        FILE KF6PackageTargets.cmake
        NAMESPACE KF6::
        COMPONENT Devel)
install(EXPORT KF6PackageToolsTargets
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        FILE KF6PackageToolsTargets.cmake
        NAMESPACE KF6::
        COMPONENT Devel)

install(FILES ${kpackage_version_header}
        DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/KPackage COMPONENT Devel )

include(ECMFeatureSummary)
ecm_feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

=== src/kpackagetool/CMakeLists.txt ===
add_executable(kpackagetool6)

ecm_mark_nongui_executable(kpackagetool6)

target_sources(kpackagetool6 PRIVATE
    main.cpp
    kpackagetool.cpp
)
ecm_qt_declare_logging_category(kpackagetool6
    HEADER kpackage_debug.h
    IDENTIFIER KPACKAGE_LOG
    CATEGORY_NAME kf.package
)
target_link_libraries(kpackagetool6 KF6::Archive KF6::Package KF6::I18n KF6::CoreAddons)

install(TARGETS kpackagetool6 EXPORT KF6PackageToolsTargets ${KF_INSTALL_TARGETS_DEFAULT_ARGS})

=== debian/changelog ===
kf6-kpackage (6.19.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.18.0)
  * Update symbols.
  * New upstream release (6.19.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 12 Oct 2025 15:06:55 +0100

=== debian/control ===
Source: kf6-kpackage
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               doxygen,
               extra-cmake-modules (>= 6.19.0~),
               libkf6archive-dev (>= 6.19.0~),
               libkf6coreaddons-dev (>= 6.19.0~),
               libkf6doctools-dev (>= 6.19.0~),
               libkf6i18n-dev (>= 6.19.0~),
               qt6-base-dev (>= 6.5.0+dfsg~),
               qt6-tools-dev (>= 6.5.0~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/frameworks/kpackage
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kpackage
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kpackage
Rules-Requires-Root: no

Package: kpackagetool6
Section: kde
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: command line kpackage tool
 KPackage provides classes for applications to manage user installable packages
 of non-binary assets.
 .
 This package is part of KDE Frameworks 6.
 .
 This package contains the runtime package management tool.

Package: libkf6package-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: non-binary asset management framework
 KPackage provides classes for applications to manage user installable packages
 of non-binary assets.
 .
 This package contains the translations.

Package: libkf6package-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: kpackagetool6 (= ${binary:Version}),
         libkf6coreaddons-dev (>= 6.19.0~),
         libkf6package6 (= ${binary:Version}),
         qt6-base-dev (>= 6.5.0+dfsg~),
         ${misc:Depends},
Recommends: libkf6package-doc (= ${source:Version}),
Description: development files for kpackage
 KPackage provides classes for applications to manage user installable packages
 of non-binary assets.
 .
 This package is part of KDE Frameworks 6.
 .
 This package contains the development files.

Package: libkf6package-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: non-binary asset management framework (documentation)
 KPackage provides classes for applications to manage user installable packages
 of non-binary assets.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf6package6
Architecture: any
Multi-Arch: same
Depends: libkf6package-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: kpackagetool6 (>= ${binary:Version}),
Description: non-binary asset management framework
 KPackage provides classes for applications to manage user installable packages
 of non-binary assets.
 .
 This package is part of KDE Frameworks 6.

## kf6-kpackage 6.19.0+p24.04+vstable+git20251009.0356

=== debian/changelog ===
kf6-kpackage (6.19.0+p24.04+vstable+git20251009.0356-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 09 Oct 2025 03:56:19 +0000

kf6-kpackage (6.19.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Oct 2025 07:03:24 +0000

## kf6-kpackage 6.19.0+p24.04+vstable+git20251015.0932

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.19.0") # handled by release scripts
+set(KF_VERSION "6.20.0") # handled by release scripts
 set(KF_DEP_VERSION "6.19.0") # handled by release scripts
 project(KPackage VERSION ${KF_VERSION})

=== debian/changelog ===
kf6-kpackage (6.19.0+p24.04+vstable+git20251015.0932-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 09:32:50 +0000

=== debian/control ===
Source: kf6-kpackage
Section: libs
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               doxygen,
               graphviz,
               kde-qdoc-common-dev,
               kf6-extra-cmake-modules,
               kf6-karchive-dev,
               kf6-kconfig-dev,
               kf6-kcoreaddons-dev,
               kf6-kdoctools-dev,
               kf6-ki18n-dev,
               pkg-kde-tools-neon,
               qt6-base-dev,
               qt6-tools-dev
Standards-Version: 4.6.2
Homepage: https://projects.kde.org/projects/frameworks/kpackage
Vcs-Git: https://invent.kde.org/neon/kf6/kf6-kpackage.git
Vcs-Browser: https://invent.kde.org/neon/kf6/kf6-kpackage
Maintainer: Neon CI <neon@kde.org>

Package: kf6-kpackage
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Depends: kf6-karchive, kf6-kcoreaddons, ${misc:Depends}, ${shlibs:Depends}
Replaces: kpackagetool6, libkf6package-data, libkf6package6
Description: command line kpackage tool
 KPackage provides classes for applications to manage user installable packages
 of non-binary assets.
 .
 This package is part of KDE Frameworks 6.
 .
 This package contains the runtime package management tool.

Package: kf6-kpackage-dev
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Depends: kf6-extra-cmake-modules,
         kf6-karchive-dev,
         kf6-kconfig-dev,
         kf6-kcoreaddons-dev,
         kf6-kpackage (= ${binary:Version}),
         qt6-base-dev,
         ${misc:Depends},
         ${shlibs:Depends}
Replaces: libkf6package-dev, libkf6package-doc
Description: development files for kpackage
 KPackage provides classes for applications to manage user installable packages
 of non-binary assets.
 .
 This package is part of KDE Frameworks 6.
 .
 This package contains the development files.

Package: kpackagetool6
Architecture: all
Depends: kf6-kpackage, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6package6
Architecture: all
Depends: kf6-kpackage, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6package-data
Architecture: all
Depends: kf6-kpackage, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6package-doc
Architecture: all
Depends: kf6-kpackage-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6package-dev
Architecture: all
Depends: kf6-kpackage-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

## kf6-kpackage 6.19.0+p24.04+vstable+git20251024.0144

=== debian/changelog ===
kf6-kpackage (6.19.0+p24.04+vstable+git20251024.0144-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 24 Oct 2025 01:44:48 +0000

## kf6-kpackage 6.19.0+p24.04+vunstable+git20251020.0253

=== CMakeLists.txt ===
--- 
+++ 
@@ -37,7 +37,7 @@
 
 ################# now find all used packages #################
 
-set (REQUIRED_QT_VERSION 6.7.0)
+set (REQUIRED_QT_VERSION 6.8.0)
 
 find_package(Qt6 ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE COMPONENTS Core)

=== debian/changelog ===
kf6-kpackage (6.19.0+p24.04+vunstable+git20251020.0253-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 02:53:36 +0000

## kf6-kpackage 6.20.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,12 +1,12 @@
 cmake_minimum_required(VERSION 3.16)
 
 set(KF_VERSION "6.20.0") # handled by release scripts
-set(KF_DEP_VERSION "6.19.0") # handled by release scripts
+set(KF_DEP_VERSION "6.20.0") # handled by release scripts
 project(KPackage VERSION ${KF_VERSION})
 
 # ECM setup
 include(FeatureSummary)
-find_package(ECM 6.19.0  NO_MODULE)
+find_package(ECM 6.20.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
@@ -64,7 +64,7 @@
 
 ecm_set_disabled_deprecation_versions(
     QT 6.10.0
-    KF 6.18.0
+    KF 6.19.0
 )
 
 include(KF6PackageMacros.cmake)

=== debian/changelog ===
kf6-kpackage (6.20.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.20.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 15 Nov 2025 19:25:31 +0100

=== debian/control ===
Source: kf6-kpackage
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               cmake (>= 3.16~),
               doxygen,
               extra-cmake-modules (>= 6.20.0~),
               libkf6archive-dev (>= 6.20.0~),
               libkf6coreaddons-dev (>= 6.20.0~),
               libkf6doctools-dev (>= 6.20.0~),
               libkf6i18n-dev (>= 6.20.0~),
               qt6-base-dev (>= 6.8.0~),
               qt6-tools-dev (>= 6.5.0~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/frameworks/kpackage
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kpackage
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kpackage.git
Rules-Requires-Root: no

Package: kpackagetool6
Section: kde
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: command line kpackage tool
 KPackage provides classes for applications to manage user installable packages
 of non-binary assets.
 .
 This package is part of KDE Frameworks 6.
 .
 This package contains the runtime package management tool.

Package: libkf6package-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: non-binary asset management framework
 KPackage provides classes for applications to manage user installable packages
 of non-binary assets.
 .
 This package contains the translations.

Package: libkf6package-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: kpackagetool6 (= ${binary:Version}),
         libkf6coreaddons-dev (>= 6.20.0~),
         libkf6package6 (= ${binary:Version}),
         qt6-base-dev (>= 6.8.0~),
         ${misc:Depends},
Recommends: libkf6package-doc (= ${source:Version}),
Description: development files for kpackage
 KPackage provides classes for applications to manage user installable packages
 of non-binary assets.
 .
 This package is part of KDE Frameworks 6.
 .
 This package contains the development files.

Package: libkf6package-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: non-binary asset management framework (documentation)
 KPackage provides classes for applications to manage user installable packages
 of non-binary assets.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf6package6
Architecture: any
Multi-Arch: same
Depends: libkf6package-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: kpackagetool6 (>= ${binary:Version}),
Description: non-binary asset management framework
 KPackage provides classes for applications to manage user installable packages
 of non-binary assets.
 .
 This package is part of KDE Frameworks 6.

## kf6-kpackage 6.20.0+p24.04+vunstable+git20251122.0741

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.20.0") # handled by release scripts
+set(KF_VERSION "6.21.0") # handled by release scripts
 set(KF_DEP_VERSION "6.20.0") # handled by release scripts
 project(KPackage VERSION ${KF_VERSION})

=== debian/changelog ===
kf6-kpackage (6.20.0+p24.04+vunstable+git20251122.0741-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 22 Nov 2025 07:41:10 +0000

kf6-kpackage (6.20.0-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 22 Nov 2025 15:33:49 +1000

## kf6-kpackage 6.20.0+p24.04+vunstable+git20251206.0249

=== debian/changelog ===
kf6-kpackage (6.20.0+p24.04+vunstable+git20251206.0249-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 06 Dec 2025 02:49:55 +0000

## kf6-kpackage 6.21.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,12 +1,12 @@
 cmake_minimum_required(VERSION 3.16)
 
 set(KF_VERSION "6.21.0") # handled by release scripts
-set(KF_DEP_VERSION "6.20.0") # handled by release scripts
+set(KF_DEP_VERSION "6.21.0") # handled by release scripts
 project(KPackage VERSION ${KF_VERSION})
 
 # ECM setup
 include(FeatureSummary)
-find_package(ECM 6.20.0  NO_MODULE)
+find_package(ECM 6.21.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
kf6-kpackage (6.21.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.21.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 12 Dec 2025 11:52:31 +0000

kf6-kpackage (6.20.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.20.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 13 Nov 2025 16:15:14 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: kf6-kpackage
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
 Build-Depends: debhelper-compat (= 13),
@@ -9,27 +10,26 @@
                dh-sequence-pkgkde-symbolshelper,
                cmake (>= 3.16~),
                doxygen,
-               extra-cmake-modules (>= 6.20.0~),
-               libkf6archive-dev (>= 6.20.0~),
-               libkf6coreaddons-dev (>= 6.20.0~),
-               libkf6doctools-dev (>= 6.20.0~),
-               libkf6i18n-dev (>= 6.20.0~),
-               qt6-base-dev (>= 6.8.0~),
-               qt6-tools-dev (>= 6.5.0~),
+               extra-cmake-modules (>= 6.21.0~),
+               libkf6archive-dev (>= 6.21.0~),
+               libkf6coreaddons-dev (>= 6.21.0~),
+               libkf6doctools-dev (>= 6.21.0~),
+               libkf6i18n-dev (>= 6.21.0~),
+               qt6-base-dev (>= 6.8.0+dfsg~),
+               qt6-tools-dev (>= 6.8.0~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/frameworks/kpackage
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kpackage
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kpackage.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kpackage
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kpackage
 Rules-Requires-Root: no
 
 Package: kpackagetool6
 Section: kde
 Architecture: any
 Multi-Arch: foreign
-Depends: ${misc:Depends},
-         ${shlibs:Depends},
+Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: command line kpackage tool
  KPackage provides classes for applications to manage user installable packages
  of non-binary assets.
@@ -41,7 +41,7 @@
 Package: libkf6package-data
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends},
+Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: non-binary asset management framework
  KPackage provides classes for applications to manage user installable packages
  of non-binary assets.
@@ -53,9 +53,9 @@
 Architecture: any
 Multi-Arch: same
 Depends: kpackagetool6 (= ${binary:Version}),
-         libkf6coreaddons-dev (>= 6.20.0~),
+         libkf6coreaddons-dev (>= 6.21.0~),
          libkf6package6 (= ${binary:Version}),
-         qt6-base-dev (>= 6.8.0~),
+         qt6-base-dev (>= 6.8.0+dfsg~),
          ${misc:Depends},
 Recommends: libkf6package-doc (= ${source:Version}),
 Description: development files for kpackage

## kf6-kpackage 6.21.0+p24.04+vstable+git20251207.0803

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.21.0") # handled by release scripts
+set(KF_VERSION "6.22.0") # handled by release scripts
 set(KF_DEP_VERSION "6.21.0") # handled by release scripts
 project(KPackage VERSION ${KF_VERSION})

## kf6-kpackage 6.21.0+p24.04+vstable+git20251231.0058

=== debian/changelog ===
kf6-kpackage (6.21.0+p24.04+vstable+git20251231.0058-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 31 Dec 2025 00:58:10 +0000

kf6-kpackage (6.21.0-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 07 Dec 2025 15:11:31 +1000

## kf6-kpackage 6.21.0+p24.04+vstable+git20260102.1133

=== CMakeLists.txt ===
--- 
+++ 
@@ -63,8 +63,8 @@
                       )
 
 ecm_set_disabled_deprecation_versions(
-    QT 6.10.0
-    KF 6.19.0
+    QT 6.11.0
+    KF 6.21.0
 )
 
 include(KF6PackageMacros.cmake)

## kf6-kpackage 6.21.0+p24.04+vstable+git20260103.0221

=== debian/changelog ===
kf6-kpackage (6.21.0+p24.04+vstable+git20260103.0221-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 03 Jan 2026 02:21:09 +0000

## kf6-kpackage 6.21.0+p24.04+vstable+git20260105.0829

=== debian/changelog ===
kf6-kpackage (6.21.0+p24.04+vstable+git20260105.0829-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 05 Jan 2026 08:29:31 +0000

## kf6-kpackage 6.21.0+p24.04+vunstable+git20251207.0651

=== debian/changelog ===
kf6-kpackage (6.21.0+p24.04+vunstable+git20251207.0651-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 07 Dec 2025 06:51:56 +0000

## kf6-kpackage 6.22.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,12 +1,12 @@
 cmake_minimum_required(VERSION 3.16)
 
 set(KF_VERSION "6.22.0") # handled by release scripts
-set(KF_DEP_VERSION "6.21.0") # handled by release scripts
+set(KF_DEP_VERSION "6.22.0") # handled by release scripts
 project(KPackage VERSION ${KF_VERSION})
 
 # ECM setup
 include(FeatureSummary)
-find_package(ECM 6.21.0  NO_MODULE)
+find_package(ECM 6.22.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
kf6-kpackage (6.22.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.22.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 07 Jan 2026 18:31:42 +0000

=== debian/control ===
--- 
+++ 
@@ -5,16 +5,16 @@
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
-               cmake (>= 3.16~),
                doxygen,
-               extra-cmake-modules (>= 6.21.0~),
-               libkf6archive-dev (>= 6.21.0~),
-               libkf6coreaddons-dev (>= 6.21.0~),
-               libkf6doctools-dev (>= 6.21.0~),
-               libkf6i18n-dev (>= 6.21.0~),
+               extra-cmake-modules (>= 6.22.0~),
+               libkf6archive-dev (>= 6.22.0~),
+               libkf6coreaddons-dev (>= 6.22.0~),
+               libkf6doctools-dev (>= 6.22.0~),
+               libkf6i18n-dev (>= 6.22.0~),
                qt6-base-dev (>= 6.8.0+dfsg~),
                qt6-tools-dev (>= 6.8.0~),
                xauth <!nocheck>,
@@ -53,7 +53,7 @@
 Architecture: any
 Multi-Arch: same
 Depends: kpackagetool6 (= ${binary:Version}),
-         libkf6coreaddons-dev (>= 6.21.0~),
+         libkf6coreaddons-dev (>= 6.22.0~),
          libkf6package6 (= ${binary:Version}),
          qt6-base-dev (>= 6.8.0+dfsg~),
          ${misc:Depends},

## kf6-kpackage 6.22.0+p24.04+vstable+git20260106.0926

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.22.0") # handled by release scripts
+set(KF_VERSION "6.23.0") # handled by release scripts
 set(KF_DEP_VERSION "6.22.0") # handled by release scripts
 project(KPackage VERSION ${KF_VERSION})

=== debian/changelog ===
kf6-kpackage (6.22.0+p24.04+vstable+git20260106.0926-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 06 Jan 2026 09:26:22 +0000

kf6-kpackage (6.22.0-0neon) Noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 06 Jan 2026 16:43:06 +1000

## kf6-kpackage 6.22.0+p24.04+vstable+git20260120.0243

=== debian/changelog ===
kf6-kpackage (6.22.0+p24.04+vstable+git20260120.0243-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 20 Jan 2026 02:43:12 +0000

## kf6-kpackage 6.22.0+p24.04+vstable+git20260131.0212

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 3.16)
+cmake_minimum_required(VERSION 3.27)
 
 set(KF_VERSION "6.23.0") # handled by release scripts
 set(KF_DEP_VERSION "6.22.0") # handled by release scripts

=== debian/changelog ===
kf6-kpackage (6.22.0+p24.04+vstable+git20260131.0212-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 31 Jan 2026 02:12:10 +0000

## kf6-kpackage 6.22.0+p24.04+vunstable+git20260123.0336

=== debian/changelog ===
kf6-kpackage (6.22.0+p24.04+vunstable+git20260123.0336-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 23 Jan 2026 03:36:04 +0000

## kf6-kpackage 6.22.0+p24.04+vunstable+git20260201.0607

=== debian/changelog ===
kf6-kpackage (6.22.0+p24.04+vunstable+git20260201.0607-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 01 Feb 2026 06:07:43 +0000

## kf6-kpackage 6.23.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,12 +1,12 @@
 cmake_minimum_required(VERSION 3.27)
 
 set(KF_VERSION "6.23.0") # handled by release scripts
-set(KF_DEP_VERSION "6.22.0") # handled by release scripts
+set(KF_DEP_VERSION "6.23.0") # handled by release scripts
 project(KPackage VERSION ${KF_VERSION})
 
 # ECM setup
 include(FeatureSummary)
-find_package(ECM 6.22.0  NO_MODULE)
+find_package(ECM 6.23.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
kf6-kpackage (6.23.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.23.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.3, no change required.
  * Drop Rules-Requires-Root: no, not needed anymore since trixie.
  * Drop Priority: optional, not needed anymore since dpkg 1.22.13.
  * Add/update Nicolas Fella’s key in upstream keyring.
  * Use DEB_HOST_MULTIARCH in libraries install path.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 21 Feb 2026 16:47:54 +0100

=== debian/control ===
--- 
+++ 
@@ -1,35 +1,33 @@
 Source: kf6-kpackage
 Section: libs
-Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
+               cmake (>= 3.27~),
                doxygen,
-               extra-cmake-modules (>= 6.22.0~),
-               libkf6archive-dev (>= 6.22.0~),
-               libkf6coreaddons-dev (>= 6.22.0~),
-               libkf6doctools-dev (>= 6.22.0~),
-               libkf6i18n-dev (>= 6.22.0~),
-               qt6-base-dev (>= 6.8.0+dfsg~),
-               qt6-tools-dev (>= 6.8.0~),
+               extra-cmake-modules (>= 6.23.0~),
+               libkf6archive-dev (>= 6.23.0~),
+               libkf6coreaddons-dev (>= 6.23.0~),
+               libkf6doctools-dev (>= 6.23.0~),
+               libkf6i18n-dev (>= 6.23.0~),
+               qt6-base-dev (>= 6.8.0~),
+               qt6-tools-dev (>= 6.5.0~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.3
 Homepage: https://invent.kde.org/frameworks/kpackage
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kpackage
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kpackage
-Rules-Requires-Root: no
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kpackage
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kpackage.git
 
 Package: kpackagetool6
 Section: kde
 Architecture: any
 Multi-Arch: foreign
-Depends: ${misc:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
 Description: command line kpackage tool
  KPackage provides classes for applications to manage user installable packages
  of non-binary assets.
@@ -41,7 +39,7 @@
 Package: libkf6package-data
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends},
 Description: non-binary asset management framework
  KPackage provides classes for applications to manage user installable packages
  of non-binary assets.
@@ -53,9 +51,9 @@
 Architecture: any
 Multi-Arch: same
 Depends: kpackagetool6 (= ${binary:Version}),
-         libkf6coreaddons-dev (>= 6.22.0~),
+         libkf6coreaddons-dev (>= 6.23.0~),
          libkf6package6 (= ${binary:Version}),
-         qt6-base-dev (>= 6.8.0+dfsg~),
+         qt6-base-dev (>= 6.8.0~),
          ${misc:Depends},
 Recommends: libkf6package-doc (= ${source:Version}),
 Description: development files for kpackage
